package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/*
 *项目名: netflix
 *文件名: UserBalanceSourceRecord
 *创建者: JavaZou
 *创建时间:2023/6/9 12:29
 */
@Getter
@Setter
public class UserBalanceSourceRecord extends BaseEntity{
	private Long userId;

	private BigDecimal balance;

	private Source source;

	private String detail;

	private Long orderId;

	@Getter
	public enum Source {
		payment("购买"),
		refund("退款"),
		clear_valid("未到期车票清除"),
		ds_transport("分销实物发货"),
		follow_task("关注引导"),
		rd_comment("实物评论"),
		price_differ("订单补差价"),
		compensate("系统补偿"),
		manual("手动扣除")
		;
		String desc;

		Source(String desc) {
			this.desc = desc;
		}
	}
}

